org.apache.nutch.protocol

## Interface ProtocolStatusCodes

- All Known Implementing Classes:
    ProtocolStatusUtils

      public interface ProtocolStatusCodes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCESS_DENIED` Access denied - authorization required, but missing/incorrect.
    `static int` | `BLOCKED` Thread was blocked http.max.delays times during fetching.
    `static int` | `EXCEPTION` Unspecified exception occured.
    `static int` | `FAILED` Content was not retrieved.
    `static int` | `GONE` Resource is gone.
    `static int` | `MOVED` Resource has moved permanently.
    `static int` | `NOTFETCHING` Not fetching.
    `static int` | `NOTFOUND` Resource was not found.
    `static int` | `NOTMODIFIED` Unchanged since the last fetch.
    `static int` | `PROTO_NOT_FOUND` This protocol was not found.
    `static int` | `REDIR_EXCEEDED` Too many redirects.
    `static int` | `RETRY` Temporary failure.
    `static int` | `ROBOTS_DENIED` Access denied by robots.txt rules.
    `static int` | `SUCCESS` Content was retrieved without errors.
    `static int` | `TEMP_MOVED` Resource has moved temporarily.
    `static int` | `WOULDBLOCK` Request was refused by protocol plugins, because it would block.

- - ### Field Detail

    - #### SUCCESS

          static final int SUCCESS

      Content was retrieved without errors.
      See Also:
        Constant Field Values

    - #### FAILED

          static final int FAILED

      Content was not retrieved. Any further errors may be indicated in args.
      See Also:
        Constant Field Values

    - #### PROTO_NOT_FOUND

          static final int PROTO_NOT_FOUND

      This protocol was not found. Application may attempt to retry later.
      See Also:
        Constant Field Values

    - #### GONE

          static final int GONE

      Resource is gone.
      See Also:
        Constant Field Values

    - #### MOVED

          static final int MOVED

      Resource has moved permanently. New url should be found in args.
      See Also:
        Constant Field Values

    - #### TEMP_MOVED

          static final int TEMP_MOVED

      Resource has moved temporarily. New url should be found in args.
      See Also:
        Constant Field Values

    - #### NOTFOUND

          static final int NOTFOUND

      Resource was not found.
      See Also:
        Constant Field Values

    - #### RETRY

          static final int RETRY

      Temporary failure. Application may retry immediately.
      See Also:
        Constant Field Values

    - #### EXCEPTION

          static final int EXCEPTION

      Unspecified exception occured. Further information may be provided in args.
      See Also:
        Constant Field Values

    - #### ACCESS_DENIED

          static final int ACCESS_DENIED

      Access denied - authorization required, but missing/incorrect.
      See Also:
        Constant Field Values

    - #### ROBOTS_DENIED

          static final int ROBOTS_DENIED

      Access denied by robots.txt rules.
      See Also:
        Constant Field Values

    - #### REDIR_EXCEEDED

          static final int REDIR_EXCEEDED

      Too many redirects.
      See Also:
        Constant Field Values

    - #### NOTFETCHING

          static final int NOTFETCHING

      Not fetching.
      See Also:
        Constant Field Values

    - #### NOTMODIFIED

          static final int NOTMODIFIED

      Unchanged since the last fetch.
      See Also:
        Constant Field Values

    - #### WOULDBLOCK

          static final int WOULDBLOCK

      Request was refused by protocol plugins, because it would block. The expected number of milliseconds to wait before retry may be provided in args.
      See Also:
        Constant Field Values

    - #### BLOCKED

          static final int BLOCKED

      Thread was blocked http.max.delays times during fetching.
      See Also:
        Constant Field Values

Copyright © 2015 The Apache Software Foundation